#!/usr/bin/env python
# -*- coding: utf-8 -*- #
from __future__ import unicode_literals

AUTHOR = 'Ali Murteza Yesil'
SITENAME = 'Ali Murteza Yesil'
SITESUBTITLE = 'Blog'
SITEURL = 'file:///home/murteza/Virtual/Blog/output'

PATH = 'content'

TIMEZONE = 'Asia/Bishkek'

DEFAULT_LANG = 'en'

# Feed generation is usually not desired when developing
FEED_ALL_ATOM = None
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None

# Blogroll
LINKS = (
         ('Kev Quirk', 'https://kevq.uk'),
         ('Mike Stone', 'https://mikestone.me'),
         ('Yarmo Mackenbach', 'https://yarmo.eu/')
        )
#LINKS = (('Pelican', 'http://getpelican.com/'),
#         ('Python.org', 'http://python.org/'),
#         ('Jinja2', 'http://jinja.pocoo.org/'),
#         ('You can modify those links in your config file', '#'),
#        )


# Social widget
SOCIAL = (
          ('Fostodon', 'https://fosstodon.org/@murtezayesil'),
         )
#SOCIAL = (('You can add links in your config file', '#'),
#          ('Another social link', '#'),
#         )

DEFAULT_PAGINATION = 10

# Uncomment following line if you want document-relative URLs when developing
#RELATIVE_URLS = True

### Some of the switches to get my ideal setup
USE_FOLDER_AS_CATEGORY = True

ARTICLE_PATHS = [
    'Notes',
    'Personal',
    'Tech',
    'draft',
]

STATIC_PATHS = [
	'extra',
    'videos',
    'images',
]

EXTRA_PATH_METADATA = {
	'extra/favicon.ico': {'path': 'favicon.ico'},
}

THEME = '/home/murteza/Virtual/Blog/theme/blueidea'

### Blueidea theme specific settings
# Display pages list on the top menu
DISPLAY_PAGES_ON_MENU = True

# Display categories list on the top menu
DISPLAY_CATEGORIES_ON_MENU = False

# Display categories list as a submenu of the top menu
DISPLAY_CATEGORIES_ON_SUBMENU = True

# Display the category in the article's info
DISPLAY_CATEGORIES_ON_POSTINFO = True

# Display the author in the article's info
DISPLAY_AUTHOR_ON_POSTINFO = False

# Display the search form
DISPLAY_SEARCH_FORM = True

# Sort pages list by a given attribute
#PAGES_SORT_ATTRIBUTE (Title)

# Display the "Fork me on Github" banner
#GITHUB_URL (None)

# Black Lives Matter Banner (and border)
# If the justice have been restored, comment out the below line to disable border
BLACK_LIVES_MATTER = 'Absolutely'
